<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Training Site</title>
    <link rel="stylesheet" href="style.css">

</head>
<body>
    <div id="nav"></div>

    <section class="content">
        <div class="container">
            <div class="row">
                <div class="row" id="productdata">
                    <!-- content -->
                
                   <!-- end content  -->
              </div>
            </div>
        </div>
    </section>


    <script src="js/jq.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/app.js"></script>
    <script>
        $(document).ready(function(){

// var url = window.location.href;
// console.log(url);
var getUrlParams = function (url) 
{
  var params = {};
  (url + '?').split('?')[1].split('&').forEach(
    function (pair) 
    {
       pair = (pair + '=').split('=').map(decodeURIComponent);
       if (pair[0].length) 
       {
         params[pair[0]] = pair[1];
       }
  });

  return params;
};
var params = getUrlParams( window.location.href );
// alert( params.id );
var id = params.id;


$.getJSON('json/product_data.json', function(data) {
           $.each(data.product_data, function(i, f) {
           // var tblRow = "<tr>" + "<td>" + f.ProductName + "</td>" +
             //  "<td>" + f.PartNumber + "</td>" + "<td>" + f.Category + "</td>" + "<td>" + f.Qty + "</td>" + "</tr>";
            //   $("#productdata").append(tblRow);

            if(f.PartNumber == id){
                var productdata = '<div class="col-lg-4" style="margin-bottom:10px;"> <div class="card" style="width: 18rem;"> <img class="card-img-top" src="https://placehold.it/300x150" alt="Card image cap"> <div class="card-body"> <h5 class="card-title">'+ f.ProductName +'</h5> <a href="productview.html?id='+  f.PartNumber +'" class="btn btn-primary">view product</a> </div></div></div>';
            $("#productdata").append(productdata);
            }

            
         });
        
       });


        });
    </script>
</body>
</html>